Bug 144058 - Requests same CD multiple times when upgrading
Requests same CD multiple times when upgrading
Product: Fedora
Classification: Fedora
Component: system-config-packages (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-01-04 02:33 EST by Vinay BV
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-21 15:55:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vinay BV 2005-01-04 02:33:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
I had installed Fedora core - 3 with just gnome. I wanted to try out a
few more packages and used the software installer. I selected a lot of
packages and proceeded with the install. 

The installer would install a set of packages and ask for changing the
CD. It would ask for the same CD multiple times. For eg., after
installing one set of packages in CD-2, it would move onto CD-3, then
to CD-2, then to CD-3, and back to CD-2 so on. 

As I see it, the installer builds a list a list of packages and
requests a change in CD when it does not find it in the current list.
This is irritating especially when upgrading. Users would find it a
lot more easy if the packages after selection were to be hashed on the
CD number and then installed on a per CD basis. That way we don't have
to change more than 4 times. 

This is a feature which has been missing in RedHat for a long time now.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install Linux with minimum set of packages
2.Upgrade with a lot of packages.
3.Keep changing CDs.

Actual Results:  I had to change the CDs a lot of times(around 15).

Expected Results:  I should have changed it just 4 times.

Additional info:
Comment 1 Jeremy Katz 2005-09-21 15:55:11 EDT
The next generation tool is goign to do transaction ordering itself instead of
depending on RPM just for this reason

Note You need to log in before you can comment on or make changes to this bug.